<script context="module">
    export const prerender = true
</script>

<script lang="ts">
    import Alert from '$components/Alert.svelte'
    import Input from '$components/Form/Input.svelte'
    import Authentication from '$components/Layouts/Authentication.svelte'
    import { login } from '$lib/auth'

    let username: string
    let password: string
    let errors = false

    const submit = () => {
        login(username, password).catch(() => {
            errors = true
        })
    }
</script>

<svelte:head>
    <title>Login | Elerium</title>
</svelte:head>

<Authentication btnLabel="Play" on:submit={submit} title="Welcome back!">
    {#if errors}
        <Alert variant="error">
            <h2 slot="title">Error</h2>
            <p>Invalid credentials</p>
        </Alert>
    {/if}
    <Input bind:value={username} hasErrors={errors} name="username">Username</Input>
    <Input bind:value={password} hasErrors={errors} name="password" type="password">Password</Input>
    <svelte:fragment slot="bottomUrl">
        <!--        <a href="forgot-password">Forgot your password?</a><br />-->
        Don't have an account yet?<br />
        <a href="register">Create one to start playing!</a>
    </svelte:fragment>
</Authentication>
